Cyberduck Mountain Duck CLI

#5815 reopened enhancement

Allow to override default proxy settings in bookmark

Reported by: outlet Owned by:
Priority: low Milestone:
Component: core Version: 4.0.1
Severity: normal Keywords:
Cc: trac.cyberduck.ch@… Architecture:
Platform: Windows 7

Description

The proxy settings should be independent of windows. I sometimes need to use a different proxy than what my system uses to access connections.

Thank you.

Change History (11)

comment:1 follow-up: Changed on Mar 22, 2011 at 7:13:06 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

We will not replicate system proxy settings. Network configuration should be global and the same for all applications on the system. I don't see the usecase.

comment:2 in reply to: ↑ 1 Changed on Mar 22, 2011 at 9:10:01 PM by dkocher

Replying to dkocher:

We will not replicate system proxy settings. Network configuration should be global and the same for all applications on the system. I don't see the usecase.

Use-case: My company has 2 proxy servers, one for corporate use only, which through Active-directory set the system proxy settings to use. For personal internet programs, we are to use a separate proxy server. Since Cyberduck uses the windows proxy settings, I am unable to access anything external to my company intranet.

comment:3 Changed on Mar 22, 2011 at 9:19:19 PM by dkocher

  • Platform set to Windows 7
  • Resolution wontfix deleted
  • Status changed from closed to reopened
  • Summary changed from Windows client proxy settings should be independent to Proxy settings should be independent

comment:4 Changed on Mar 22, 2011 at 9:19:27 PM by dkocher

  • Priority changed from normal to low

comment:5 Changed on Mar 22, 2011 at 9:22:01 PM by dkocher

You can toggle off the setting Use system proxy settings in Preferences → Connection to bypass system proxy settings for a direct connection. But there is no option to specify a secondary proxy server.

comment:6 Changed on Apr 16, 2011 at 7:20:22 PM by laffaire

  • Cc trac.cyberduck.ch@… added

I'd like separate settings too. I need FTP to go through a SOCKS proxy, but not anything else. Setting up SOCKS in system preferences will activate it for everything.

This is for the Mac version, but since there is no cross-platform choice in the ticket settings, I'll leave it at Windows.

comment:7 Changed on Sep 18, 2013 at 5:17:20 PM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed

comment:8 Changed on Sep 17, 2015 at 7:22:49 PM by dkocher

#9018 closed as duplicate.

comment:9 Changed on Jun 7, 2016 at 11:07:40 AM by dkocher

#9582 closed as duplicate.

comment:10 Changed on Oct 11, 2019 at 7:19:47 PM by dkocher

#10837 closed as duplicate.

comment:11 Changed on Oct 11, 2019 at 7:20:12 PM by dkocher

  • Resolution wontfix deleted
  • Status changed from closed to reopened
  • Summary changed from Proxy settings should be independent to Allow to override default proxy settings in bookmark
Note: See TracTickets for help on using tickets.
swiss made software